kube-prometheus-stack:
  namespaceOverride: "monitoring"

  defaultRules:
    rules:
      kubeControllerManager: false
      kubeSchedulerAlerting: false

  disabled:
    PrometheusRuleFailures: true

  alertmanager:
    alertmanagerSpec:
      nodeSelector:
        alpha.eksctl.io/group-name: software
      tolerations:
        - key: "role"
          operator: "Equal"
          value: "software"
          effect: "NoSchedule"

  prometheusOperator:
    kubeletService:
      name: "kubelet"
    nodeSelector:
      alpha.eksctl.io/group-name: software
    tolerations:
      - key: "role"
        operator: "Equal"
        value: "software"
        effect: "NoSchedule"

  grafana:
    enabled: true
    namespaceOverride: "monitoring"

  kube-state-metrics:
    namespaceOverride: "monitoring"

  prometheus-node-exporter:
    namespaceOverride: "monitoring"


prometheus:
  prometheusSpec:
    nodeSelector:
      alpha.eksctl.io/group-name: software
    tolerations:
      - key: "role"
        operator: "Equal"
        value: "software"
        effect: "NoSchedule"
    podMonitorNamespaceSelector:
      any: true
    podMonitorSelector: {}
    podMonitorSelectorNilUsesHelmValues: false
    ruleNamespaceSelector:
      any: true
    ruleSelector: {}
    ruleSelectorNilUsesHelmValues: false
    serviceMonitorNamespaceSelector:
      any: true
    serviceMonitorSelector: {}
    serviceMonitorSelectorNilUsesHelmValues: false
